1. Kalene A's Avatar
    I want to buy this phone. But I do not know if it supports these types of apps. Does it??
    12-12-13 09:27 AM
  2. diegonei's Avatar
    The whole OS is java-based.

    I would get a 9850 though if I were you. The original Storm is WAY outdated. Yiu could also consider a shiny BlackBerry Z10 - they are going quite cheap these days.

    And welcome to the forums!
    12-12-13 09:44 AM

Similar Threads

  1. Girlfriend and I going back to Whatsapp
    By Kingdmen in forum General BlackBerry Discussion
    Replies: 140
    Last Post: 01-04-14, 04:11 AM
  2. Whatsapp Error in BlackBerry Hub.
    By FakhriNZ_031 in forum BlackBerry Q5
    Replies: 20
    Last Post: 12-23-13, 09:42 AM
  3. Replies: 8
    Last Post: 12-13-13, 05:47 PM
  4. Second time around and loving it!
    By eastcoastwayne in forum BlackBerry PlayBook
    Replies: 4
    Last Post: 12-13-13, 04:29 AM
  5. BlackBerry World Problem - Session Expired Error Message
    By Sheri Dar in forum General BlackBerry Discussion
    Replies: 1
    Last Post: 12-12-13, 11:00 AM
LINK TO POST COPIED TO CLIPBOARD